### Hierarchy

- CookieJar

## Index

### Interfaces

- GetCookiesOptions
- Options
- Serialized
- SetCookieOptions

### Constructors

- constructor

### Methods

- clone
- cloneSync
- getCookieString
- getCookieStringSync
- getCookies
- getCookiesSync
- getSetCookieStrings
- getSetCookieStringsSync
- serialize
- serializeSync
- setCookie
- setCookieSync
- toJSON
- deserialize
- deserializeSync
- fromJSON

## Constructors

### constructor

- new CookieJar(store?: Store, options?: Options): CookieJar

- - Defined in node_modules/@types/tough-cookie/index.d.ts:157

  #### Parameters

  - ##### Optional store: Store

  - ##### Optional options: Options

  #### Returns CookieJar

## Methods

### clone

- clone(store: Store, cb: function): void
- clone(cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:187

  #### Parameters

  - ##### store: Store

  - ##### cb: function

    - - (err: Error | null, newJar: CookieJar): void

      - #### Parameters

        - ##### err: Error | null

        - ##### newJar: CookieJar

        #### Returns void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:188

  #### Parameters

  - ##### cb: function

    - - (err: Error | null, newJar: CookieJar): void

      - #### Parameters

        - ##### err: Error | null

        - ##### newJar: CookieJar

        #### Returns void

### cloneSync

- cloneSync(store: Store): CookieJar

- - Defined in node_modules/@types/tough-cookie/index.d.ts:190

  #### Parameters

  - ##### store: Store

  #### Returns CookieJar

### getCookieString

- getCookieString(currentUrl: string, options: GetCookiesOptions, cb: function): void
- getCookieString(currentUrl: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:171

  #### Parameters

  - ##### currentUrl: string

  - ##### options: GetCookiesOptions

  - ##### cb: function

    - - (err: Error | null, cookies: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookies: string

        #### Returns void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:172

  #### Parameters

  - ##### currentUrl: string

  - ##### cb: function

    - - (err: Error | null, cookies: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookies: string

        #### Returns void

### getCookieStringSync

- getCookieStringSync(currentUrl: string, options?: GetCookiesOptions): string

- - Defined in node_modules/@types/tough-cookie/index.d.ts:174

  #### Parameters

  - ##### currentUrl: string

  - ##### Optional options: GetCookiesOptions

  #### Returns string

### getCookies

- getCookies(currentUrl: string, options: GetCookiesOptions, cb: function): void
- getCookies(currentUrl: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:166

  #### Parameters

  - ##### currentUrl: string

  - ##### options: GetCookiesOptions

  - ##### cb: function

    - - (err: Error | null, cookies: Cookie[]): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookies: Cookie[]

        #### Returns void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:167

  #### Parameters

  - ##### currentUrl: string

  - ##### cb: function

    - - (err: Error | null, cookies: Cookie[]): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookies: Cookie[]

        #### Returns void

### getCookiesSync

- getCookiesSync(currentUrl: string, options?: GetCookiesOptions): Cookie[]

- - Defined in node_modules/@types/tough-cookie/index.d.ts:169

  #### Parameters

  - ##### currentUrl: string

  - ##### Optional options: GetCookiesOptions

  #### Returns Cookie[]

### getSetCookieStrings

- getSetCookieStrings(currentUrl: string, options: GetCookiesOptions, cb: function): void
- getSetCookieStrings(currentUrl: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:176

  #### Parameters

  - ##### currentUrl: string

  - ##### options: GetCookiesOptions

  - ##### cb: function

    - - (err: Error | null, cookies: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookies: string

        #### Returns void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:177

  #### Parameters

  - ##### currentUrl: string

  - ##### cb: function

    - - (err: Error | null, cookies: string): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookies: string

        #### Returns void

### getSetCookieStringsSync

- getSetCookieStringsSync(currentUrl: string, options?: GetCookiesOptions): string

- - Defined in node_modules/@types/tough-cookie/index.d.ts:179

  #### Parameters

  - ##### currentUrl: string

  - ##### Optional options: GetCookiesOptions

  #### Returns string

### serialize

- serialize(cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:181

  #### Parameters

  - ##### cb: function

    - - (err: Error | null, serializedObject: Serialized): void

      - #### Parameters

        - ##### err: Error | null

        - ##### serializedObject: Serialized

        #### Returns void

### serializeSync

- serializeSync(): Serialized

- - Defined in node_modules/@types/tough-cookie/index.d.ts:183

  #### Returns Serialized

### setCookie

- setCookie(cookieOrString: Cookie | string, currentUrl: string, options: SetCookieOptions, cb: function): void
- setCookie(cookieOrString: Cookie | string, currentUrl: string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:161

  #### Parameters

  - ##### cookieOrString: Cookie | string

  - ##### currentUrl: string

  - ##### options: SetCookieOptions

  - ##### cb: function

    - - (err: Error | null, cookie: Cookie): void

      - #### Parameters

        - ##### err: Error | null

        - ##### cookie: Cookie

        #### Returns void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:162

  #### Parameters

  - ##### cookieOrString: Cookie | string

  - ##### currentUrl: string

  - ##### cb: function

    - - (err: Error, cookie: Cookie): void

      - #### Parameters

        - ##### err: Error

        - ##### cookie: Cookie

        #### Returns void

### setCookieSync

- setCookieSync(cookieOrString: Cookie | string, currentUrl: string, options?: SetCookieOptions): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:164

  #### Parameters

  - ##### cookieOrString: Cookie | string

  - ##### currentUrl: string

  - ##### Optional options: SetCookieOptions

  #### Returns void

### toJSON

- toJSON(): Serialized

- - Defined in node_modules/@types/tough-cookie/index.d.ts:185

  #### Returns Serialized

### Static deserialize

- deserialize(serialized: Serialized | string, store: Store, cb: function): void
- deserialize(serialized: Serialized | string, cb: function): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:152

  #### Parameters

  - ##### serialized: Serialized | string

  - ##### store: Store

  - ##### cb: function

    - - (err: Error | null, object: CookieJar): void

      - #### Parameters

        - ##### err: Error | null

        - ##### object: CookieJar

        #### Returns void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:153

  #### Parameters

  - ##### serialized: Serialized | string

  - ##### cb: function

    - - (err: Error | null, object: CookieJar): void

      - #### Parameters

        - ##### err: Error | null

        - ##### object: CookieJar

        #### Returns void

### Static deserializeSync

- deserializeSync(serialized: Serialized | string, store?: Store): CookieJar

- - Defined in node_modules/@types/tough-cookie/index.d.ts:155

  #### Parameters

  - ##### serialized: Serialized | string

  - ##### Optional store: Store

  #### Returns CookieJar

### Static fromJSON

- fromJSON(string: string): CookieJar

- - Defined in node_modules/@types/tough-cookie/index.d.ts:157

  #### Parameters

  - ##### string: string

  #### Returns CookieJar

Generated using TypeDoc